#!/bin/sh
#
# krs@caos.aamu.edu  6 November 1995
# edits all man pages to put them in man3
#
SECS='1 2 4 5 6 7 8 l n o p'
srcdir=$PWD
test -d tmpman || mkdir tmpman
for s in $SECS; do
	cd $srcdir/man/man$s;
	for f in *.$s; do
		base=`basename $f .$s`;
		sed '1s/[1-8lnop] "05/3 "05/' $f >$srcdir/tmpman/$base.3;
	done;
done;
cp $srcdir/man/man3/* $srcdir/tmpman
